var a = Object.defineProperty;
var c = (i, t) => a(i, "name", { value: t, configurable: !0 });
import { isDiagnosticWithLocation as g, convertTSDiagnosticToCM as r } from "./utils.js";
function m({ env: i, path: t, diagnosticCodesToIgnore: n }) {
  if (!i.getSourceFile(t))
    return [];
  const e = i.languageService.getSyntacticDiagnostics(t), o = i.languageService.getSemanticDiagnostics(t);
  return [...e, ...o].filter((s) => g(s) && !n.includes(s.code)).map(r);
}
c(m, "getLints");
export {
  m as getLints
};
